dnl
dnl AM_PATH_HIKER(MINI_VERSION)
dnl

AC_DEFUN(AM_PATH_HIKER,
[

AC_ARG_ENABLE(hiker,
              [AC_HELP_STRING([--enable-hiker],
              [support hiker application framework [default=no]])],,
              [enable_hiker="no"])

if test x$enable_hiker = xyes; then
	PKG_CHECK_MODULES(HIKER, libhiker >= $1)
  AC_SUBST(HIKER_CFLAGS)
  AC_SUBST(HIKER_LIBS)

  BUNDLE_NAME=`sed -n 's/<manifest name=\"\(.*\)\.\(.*\)\">/\1.\2/p' < hiker/Manifest.xml`
  BAR_NAME=bar:$BUNDLE_NAME
  BUNDLE_DIR='$(prefix)'/apps/$BUNDLE_NAME
  AC_SUBST(BUNDLE_DIR)
  AC_SUBST(BAR_NAME)

	AC_DEFINE(HAVE_HIKER, [1], [Have HIKER application framework support])
fi

AM_CONDITIONAL(HIKER_SUPPORT,
               test x$enable_hiker = xyes)

])

