/*	contact - LiPS Address Book Application
 *
 *	Authors: YE Nan <nan.ye@orange-ftgroup.com> 
 *	
 *	This software and associated documentation files (the "Software") 
 *	are copyright (C) 2005 LiPS Linux Phone Standards Forum [FranceTelecom] 
 *	All Rights Reserved. 
 *
 *	A copyright license is hereby granted for redistribution and use of 
 *	the Software in source and binary forms, with or without modification, 
 *	provided that the following conditions are met: 
 *	- Redistributions of source code must retain the above copyright notice, 
 *	this copyright license and the following disclaimer. 
 *  - Redistributions in binary form must reproduce the above copyright 
 * 	notice, this copyright license and the following disclaimer in the 
 *	documentation and/or other materials provided with the distribution. 
 *	- Neither the name of LiPS  nor the names of its Members may be used 
 *	to endorse or promote products derived from the Software without 
 *	specific prior written permission. 
 *
 *	A patent license for any Necessary Claims owned by Members of LiPS Forum 
 *	to make, have made, use, import, offer to sell, lease and sell or otherwise 
 *	distribute any implementation compliant with the any specification adopted 
 *	by the LiPS Forumcan be obtained from the respective Members on reasonable 
 *	and non-discriminatory terms and conditions and under reciprocity, as 
 *	regulated in more detail in the Internal Policy of the LiPS Forum. 
 *
 *	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER, ITS MEMBERS AND CONTRIBUTORS 
 *	"AS IS", AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 *	THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
 *	AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER, 
 *	ITS MEMBERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 *	PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 *	OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 *	POSSIBILITY OF SUCH DAMAGE. 
 */

#ifndef __UI_COMP_CNT_EDIT_VIEW_SIM_H
#define __UI_COMP_CNT_EDIT_VIEW_SIM_H

#include <gtk/gtk.h>
#include <gem.h>
#include <gemhashview.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define	UI_COMP_TYPE_CNT_EDIT_VIEW_SIM						(ui_comp_cnt_edit_view_sim_get_type())
#define	UI_COMP_CNT_EDIT_VIEW_SIM(obj)						(G_TYPE_CHECK_INSTANCE_CAST ((obj), UI_COMP_TYPE_CNT_EDIT_VIEW_SIM, UICompCntEditViewSim))
#define	UI_COMP_CNT_EDIT_VIEW_SIM_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), UI_COMP_TYPE_CNT_EDIT_VIEW_SIM, UICompCntEditViewSimClass))
#define	UI_COMP_IS_CNT_EDIT_VIEW_SIM(obj)					(G_TYPE_CHECK_INSTANCE_TYPE ((obj), UI_COMP_TYPE_CNT_EDIT_VIEW_SIM))
#define UI_COMP_IS_CNT_EDIT_VIEW_SIM_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), UI_COMP_TYPE_CNT_EDIT_VIEW_SIM))
#define UI_COMP_CNT_EDIT_VIEW_SIM_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), UI_COMP_TYPE_CNT_EDIT_VIEW_SIM, UICompCntEditViewSimClass))
	
typedef struct _UICompCntEditViewSim					UICompCntEditViewSim;
typedef struct _UICompCntEditViewSimClass		UICompCntEditViewSimClass;

  typedef enum
  {
    CNT_VIEW_SIM_NAME = 0,
    CNT_VIEW_SIM_MOBILENUM,
    CNT_VIEW_SIM_PICTURE,
    NUM_CNT_VIEW_SIM_ITEMS
  } UICompCntEditViewSimItems;
  
  
  
  


struct _UICompCntEditViewSim
{
	GemHashView				 parent;
};

struct _UICompCntEditViewSimClass
{
	GemHashViewClass	 parent_class;
};

GtkWidget *	ui_comp_cnt_edit_view_sim_new (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __UI_COMP_CNT_EDIT_VIEW_SIM_H */

/*
vi:ts=2:nowrap:ai:expandtab
*/
